<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JS-Form Practice-Maca Pecha</title>
  <link rel="icon" href="https://dev.incluit.com/wp-content/uploads/2018/11/logo-2.png" />
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
  <link rel="stylesheet" href="css/style.css">
</head>
<body class="container-fluid">
  <header class="row">
    <nav class="col navbar">
      <span class="navbar-brand mb-0 h2">Formulario  - Práctica de todo lo visto.</span>
    </nav>
  </header>
  <main class="container mt-5 ">
    <div class="form-header">
      <h5>Registration form</h5>
      <p>Complete and validate the data entered.</p>
    </div>
    <div class="progress">
      <div class="progress-bar" role="progressbar" style="width: 33%;" aria-valuenow="33" aria-valuemin="0" aria-valuemax="100">33%</div>
    </div>
    <form class="form mt-5 needs-validation" novalidate>
      <!-- STEP 1 -->
      <div class="form-step step-1">
        <h3 class="form-title mb-4">Step 1</h3>
        <div class="form-row">
          <div class="col-md-4 mb-3">
            <label for="validationCustom01">First name</label>
            <input type="text" class="form-control" id="validationCustom01" name="firstName" placeholder="First name" value="Mark" required>
            <div class="valid-feedback">
              Looks good!
            </div>
          </div>
          <div class="col-md-4 mb-3">
            <label for="validationCustom02">Last name</label>
            <input type="text" class="form-control" id="validationCustom02" name="lastName" placeholder="Last name" value="Otto" required>
            <div class="valid-feedback">
              Looks good!
            </div>
          </div>
          <div class="col-md-4 mb-3">
            <label for="validationCustomUsername">Username</label>
            <div class="input-group">
              <div class="input-group-prepend">
                <span class="input-group-text" id="inputGroupPrepend">@</span>
              </div>
              <input type="text" class="form-control" id="validationCustomUsername" name="userName" placeholder="Username" aria-describedby="inputGroupPrepend" required>
              <div class="invalid-feedback">
                Please choose a username.
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="col-md-6 mb-3">
            <label for="validationCustom03">City</label>
            <input type="text" class="form-control" id="validationCustom03" name="city" placeholder="City" required>
            <div class="invalid-feedback">
              Please provide a valid city.
            </div>
          </div>
          <div class="col-md-3 mb-3">
            <label for="validationCustom04">State</label>
            <input type="text" class="form-control" id="validationCustom04" name="state" placeholder="State" required>
            <div class="invalid-feedback">
              Please provide a valid state.
            </div>
          </div>
          <div class="col-md-3 mb-3">
            <label for="validationCustom05">Zip</label>
            <input type="text" class="form-control" id="validationCustom05" name="zip" placeholder="Zip" required>
            <div class="invalid-feedback">
              Please provide a valid zip.
            </div>
          </div>
        </div>
        <div class="form-group">
          <div class="form-check">
            <input class="form-check-input" type="checkbox" name="termsCheck" id="invalidCheck" required>
            <label class="form-check-label" for="invalidCheck">
              Agree to terms and conditions
            </label>
            <div class="invalid-feedback">
              You must agree before submitting.
            </div>
          </div>
        </div>
        <div class="form-buttons mt-5">
          <button class="btn btn-primary js-next" type="submit">Next Step &rtrif;</button>
        </div>
      </div>
      <!-- STEP 2 -->
      <div class="form-step step-2 d-none">
        <h3 class="form-title mb-4">Step 2</h3>
        <div class="form-row">
          <div class="col-md-3 mb-3">
            <label for="maritalStatus">Marital Status</label>
            <div class="input-group mb-3">
              <div class="input-group-prepend">
                <label class="input-group-text" for="maritalStatus">Options</label>
              </div>
              <select class="custom-select form-control" id="maritalStatus" required>
                <option selected value="">Choose...</option>
                <option value="single">Single</option>
                <option value="spouse">Spouse</option>
                <option value="partner">Partner</option>
              </select>
            </div>
            <div class="valid-feedback">
              Looks good!
            </div>
          </div>
          <div class="col-md-9 mb-3">
            <label for="childGroupSelectUnder18">How many children under 18 live in your home?</label>
            <div class="input-group mb-3">
              <div class="input-group-prepend">
                <label class="input-group-text" for="childGroupSelectUnder18">Options</label>
              </div>
              <select class="custom-select form-control" name="childrenSelect" id="childGroupSelectUnder18">
                <option value="">None</option>
                <option value="1">One</option>
                <option value="2">Two</option>
                <option value="3">Three</option>
                <option value="4">Four</option>
              </select>
            </div>
            <div class="valid-feedback">
              Looks good!
            </div>
          </div>
        </div>
        <div id="toAddChild">

        </div>
        <div class="form-buttons mt-5">
          <button class="btn btn-primary js-previous" type="submit">&ltrif; Previous Step</button>
          <button class="btn btn-primary js-next" type="submit">Next Step &rtrif;</button>
        </div>
      </div>
      <!-- STEP 3 -->
      <div class="form-step step-3 d-none">
        <h3 class="form-title mb-4">Step 3</h3>
        <div class="form-row">
          <div class="col-md-4 mb-3">
            <label>Completed Education</label>
            <div class="input-group mb-3">
              <div class="input-group-prepend">
                <label class="input-group-text" for="inputGroupSelect01">Options</label>
              </div>
              <select class="custom-select" name="education" id="inputGroupSelect01" required>
                <option selected value="">Choose...</option>
                <option value="Completed Some High School">Completed Some High School</option>
                <option value="High School Graduate or GED">High School Graduate or GED</option>
                <option value="2-Year College/Technical Degree">2-Year College/Technical Degree</option>
                <option value="4-Year College Degree">4-Year College Degree</option>
                <option value="Completed Graduate Degree">Completed Graduate Degree</option>
                <option value="Prefer not to answer">Prefer not to answer</option>
              </select>
            </div>
            <div class="valid-feedback">
              Looks good!
            </div>
          </div>
          <div class="col-md-4 mb-3">
            <label for="validationCustom06">Enrolled in college or technical school?</label>
            <select class="custom-select" name="enrollation" id="validationCustom06" required>
              <option selected value="">Choose...</option>
              <option value="Yes">Yes</option>
              <option value="No">No</option>
            </select>
            <div class="valid-feedback">
              Looks good!
            </div>
          </div>
          <div class="col-md-4 mb-3">
            <label for="validationCustom07">Current Employment Status</label>
            <div class="input-group mb-3">
              <div class="input-group-prepend">
                <label class="input-group-text" for="validationCustom07">Options</label>
              </div>
              <select class="custom-select" name="employmentStatus" id="validationCustom07" required>
                <option selected value="">Choose...</option>
                <option value="Not Employed Outside the Home">Not Employed Outside the Home</option>
                <option value="Full-time">Full-time</option>
                <option value="Part-time">Part-time</option>
                <option value="Retired">Retired</option>
                <option value="Unemployed">Unemployed</option>
              </select>
            </div>
            <div class="valid-feedback">
              Looks good!
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="col-md-3 mb-3">
            <label for="workZipCode">Work Zip Code</label>
            <input type="text" class="form-control" name="workZip" id="workZipCode" placeholder="Zip" required>
            <div class="invalid-feedback">
              Please provide a valid zip.
            </div>
          </div>
          <div class="col-md-3 mb-3">
            <label for="workState">Work State</label>
            <input type="text" class="form-control" name="workState" id="workState" placeholder="State" required>
            <div class="invalid-feedback">
              Please provide a valid state.
            </div>
          </div>
          <div class="col-md-6 mb-3">
            <label for="indRecentEmployer">Industry that most closely reflects my most recent employer</label>
            <div class="input-group mb-3">
              <div class="input-group-prepend">
                <label class="input-group-text" for="indRecentEmployer">Options</label>
              </div>
              <select class="custom-select" name="IndustryRecentEmployer" id="indRecentEmployer"> //no es required
                <option selected value="">Choose...</option>
                <!-- TODO: SIMPLIFY THIS GETTING THE OPTIONS FROM AN OBJECT IN SCRIPT.JS -->
                <option value="Agriculture">Agriculture</option>
                <option value="Apparel">Apparel</option>
                <option value="Architect">Architect</option>
                <option value="Banking">Banking</option>
                <option value="Chemicals">Chemicals</option>
                <option value="Childcare Provider">Childcare Provider</option>
                <option value="Clergy">Clergy</option>
                <option value="Communications">Communications</option>
                <option value="Construction">Construction</option>
                <option value="Consulting">Consulting</option>
                <option value="Dental">Dental</option>
                <option value="Education">Education</option>
                <option value="Electronics">Electronics</option>
                <option value="Energy">Energy</option>
                <option value="Engineering">Engineering</option>
                <option value="Entertainment">Entertainment</option>
                <option value="Environmental">Environmental</option>
                <option value="Finance">Finance</option>
                <option value="Food Company">Food Company</option>
                <option value="Food Service/Restaurant">Food Service/Restaurant</option>
                <option value="Government">Government</option>
                <option value="Health Care">Health Care</option>
                <option value="Homemaker">Homemaker</option>
                <option value="Hospitality">Hospitality</option>
                <option value="Insurance">Insurance</option>
                <option value="Law Enforcement">Law Enforcement</option>
                <option value="Lawyer">Lawyer</option>
                <option value="Machinery">Machinery</option>
                <option value="Maintenance">Maintenance</option>
                <option value="Management">Management</option>
                <option value="Manufacturing">Manufacturing</option>
                <option value="Market Research">Market Research</option>
                <option value="Media">Media</option>
                <option value="Medical">Medical</option>
                <option value="Military">Military</option>
                <option value="Not For Profit">Not For Profit</option>
                <option value="Other, please specify:">Other, please specify:</option>
                <option value="Public Administration">Public Administration</option>
                <option value="Real Estate, Rental and Leasing">Real Estate, Rental and Leasing</option>
                <option value="Recreation">Recreation</option>
                <option value="Retail">Retail</option>
                <option value="Retired">Retired</option>
                <option value="Sales">Sales</option>
                <option value="Scientific">Scientific</option>
                <option value="Self Employed">Self Employed</option>
                <option value="Service Trade">Service Trade</option>
                <option value="Shipping">Shipping</option>
                <option value="Social Services">Social Services</option>
                <option value="Student">Student</option>
                <option value="Technology">Technology</option>
                <option value="Telecommunications">Telecommunications</option>
                <option value="Transportation">Transportation</option>
                <option value="Prefer not to answer">Prefer not to answer</option>
                <option value="Utilities">Utilities</option>
                <option value="Veterinarian">Veterinarian</option>
              </select>
            </div>
          </div>
        </div>
        <div class="form-group">
          <div class="form-check">
            <input class="form-check-input" type="checkbox" name="privacyCheck" value="" id="privacyCheck" required>
            <label class="form-check-label" for="privacyCheck">
              Agree to privacy terms and conditions
            </label>
            <div class="invalid-feedback">
              You must agree before submitting.
            </div>
          </div>
        </div>
        <div class="form-buttons mt-5">
          <button class="btn btn-primary js-previous" type="submit">&ltrif; Previous Step</button>
          <button class="btn btn-primary js-finish" data-toggle="modal" data-target="#exampleModalCenter">Finish!</button>
        </div>
      </div>
    </form>
  </main>
  <!-- Modal -->
  <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLongTitle">Send Form data...</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <h3>Are you sure?</h3>
          <p>Once sent the form is not possible to edit it (feature comming soon)</p>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Go Back</button>
          <button type="submit" class="btn btn-primary js-sendForm">Send changes</button>
        </div>
      </div>
    </div>
  </div>
  <!-- Vendor Scripts -->
  <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
  <!-- Own Scripts -->
  <script type="module" src="js/modules/form-by-steps/form_events.js"></script>
  <script type="module" src="js/modules/form-by-steps/form_validation.js"></script>
  <script type="module" src="js/modules/form-by-steps/form.js"></script>
  <script type="module" src="js/script.js"></script>
</body>
</html>